Subject: [IPP] Registered media-type values

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Fri, 20 Nov 2020 18:00:38 +0000

Dear PWG,

PWG 5100.3 section 3.13.2 documents keyword values for media-type.  However, this list is incomplete for what our products need to report (for example, differentiation between photo-glossy vs. photo-matte, recycled paper, heavy cardstock vs. light cardstock, pre-punched etc.)

RFC 8011 leads me to the IANA IPP registry, which leads me to PWG 5100.7, which leads me to PWG 5101.1, which leads me to a list that does not intersect with the list in PWG 5100.3.

The document makes reference to RFC2534 for a registry of other types.  Where is this registry and how do I access it?  Is this separate from the IANA IPP registry?  And if the registered keywords are not sufficient are we forced to implement all media-type-xxx as name(MAX) instead of type3 keyword?

Going further, how does one go about registering new media-type keyword values?

Thanks,
Chris

Christopher Rizzo
Xerox Corporation
GDG/Discovery/Advance Technology
Phone: (585) 314-6936
Email: [email-masked]

"The realization came over me with full force that a good part of the remainder of my life was going to be spent in finding errors in my own programs."
-Maurice Wilkes, Memoirs of a Computer Pioneer
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Rizzo, Christopher via ipp" <[email-masked]>
Date: Fri, 20 Nov 2020 18:02:50 +0000

Well of course.  Right after sending the previous email I noticed there are many more media-type keyword registrations available in the IANA IPP Registry page<https://www.iana.org/assignments/ipp-registrations/ipp-registrations.xhtml>.

At first glance this appears as if it may solve my problem.

Chris

Christopher Rizzo
Xerox Corporation

From: Christopher Rizzo <[email-masked]>
Date: Friday, November 20, 2020 at 10:00 AM
To: PWG Workgroup <[email-masked]>
Subject: Registered media-type values

Dear PWG,

Thanks,
Chris

Christopher Rizzo
Xerox Corporation

---

From: Michael Sweet via ipp <[email-masked]>
Date: Fri, 20 Nov 2020 14:35:29 -0500

Chris,

> On Nov 20, 2020, at 1:00 PM, Rizzo, Christopher via ipp <[email-masked]> wrote:
> 
> Dear PWG,
>  

Correct, we are in the process of revising 5100.3, but all of the media-col content was moved to PWG 5100.7-2019 (JOBEXT 2.0) and the media type names were long ago moved to PWG 5101.1-2013 (MSN 2.0)
 
> RFC 8011 leads me to the IANA IPP registry, which leads me to PWG 5100.7, which leads me to PWG 5101.1, which leads me to a list that does not intersect with the list in PWG 5100.3.

All of the 5100.3 values minus the "screen" types *should* be in 5101.1-2013 - that is where we started when I did MSN 2.0.
 
> The document makes reference to RFC2534 for a registry of other types.  Where is this registry and how do I access it?  Is this separate from the IANA IPP registry?  And if the registered keywords…

Actually type2 keyword now (type3 was eliminated by IETF), and the IANA IPP registry is now the master registry for media-type values.  RFC 2534 was about specifying media for web pages and honestly has no relation to the current CSS media handling.

> Going further, how does one go about registering new media-type keyword values?

The same as any other IPP keyword value - send an email to the list with your request and we'll discuss it.

________________________
Michael Sweet